"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Article = void 0;
class Article {
    attr;
    constructor(attr) {
        this.attr = attr;
    }
    getJSONLD(url) {
        if (!url.href.endsWith('/')) {
            url.href += '/';
        }
        const id = new URL(`article/${this.attr.id.toHexString()}`, url.href);
        return {
            '@context': 'https://www.w3.org/ns/activitystreams',
            type: 'Article',
            id: id.href,
            name: this.attr.name,
            content: this.attr.content,
            url: this.attr.url.href,
            attributedTo: url.href
        };
    }
    static fromPost(post) {
        return new Article({
            id: post.id,
            name: post.title,
            content: post.html,
            url: new URL(`/posts/${post.slug}`, 'https://example.com')
        });
    }
}
exports.Article = Article;
//# sourceMappingURL=article.object.js.map