export declare namespace ActivityPub {
    type AnonymousObject = {
        '@context': string | (string | object)[];
        id: null;
        type: string | string[];
    };
    type RootObject = {
        '@context': string | (string | object)[];
        id: string;
        type: string | string[];
    };
    type Object = RootObject | AnonymousObject;
    type Actor = ActivityPub.Object & {
        inbox: string;
        outbox: string;
        name: string;
        preferredUsername: string;
        summary: string;
        url: string;
        icon: string;
        image: string;
        published: string;
        manuallyApprovesFollowers: boolean;
        discoverable: boolean;
        attachment: object[];
        following: string;
        followers: string;
        featured: string;
        publicKey: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    };
    type Article = ActivityPub.Object & {
        type: 'Article';
        name: string;
        content: string;
        url: string;
        attributedTo: string | object[];
    };
    type Link = string | {
        type: 'Link';
        href: string;
        id?: string;
        hreflang?: string;
        mediaType?: string;
        rel?: string;
        height?: number;
        width?: number;
    };
    type ActivityType = 'Create' | 'Update' | 'Delete';
    type Activity = ActivityPub.Object & {
        type: ActivityType;
        summary: string;
        actor: Link | Actor;
        object: Link | ActivityPub.Object;
    };
}
