import { JSONLDService } from '../../../core/activitypub/jsonld.service';
export declare class ActivityPubController {
    private readonly service;
    constructor(service: JSONLDService);
    getActor(id: unknown): Promise<(import("../../../core/activitypub/types").ActivityPub.RootObject & {
        inbox: string;
        outbox: string;
        name: string;
        preferredUsername: string;
        summary: string;
        url: string;
        icon: string;
        image: string;
        published: string;
        manuallyApprovesFollowers: boolean;
        discoverable: boolean;
        attachment: object[];
        following: string;
        followers: string;
        featured: string;
        publicKey: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    }) | undefined>;
    getOutbox(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        orderedItems: import("../../../core/activitypub/types").ActivityPub.Activity[];
    } | null>;
    getArticle(id: unknown): Promise<import("../../../core/activitypub/types").ActivityPub.RootObject & {
        type: "Article";
        name: string;
        content: string;
        url: string;
        attributedTo: string | object[];
    }>;
}
